GNU Radio's SATELLITES Package

gr::satellites::pdu_head_tail Class Reference

<+description of block+> More...

`#include <pdu_head_tail.h>`

Inheritance diagram for gr::satellites::pdu_head_tail:
[legend]

## Public Types
typedef boost::shared_ptr< pdu_head_tail > | sptr

## Static Public Member Functions
static sptr | make (int mode, size_t num)
| Return a shared_ptr to a new instance of satellites::pdu_head_tail.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<pdu_head_tail> gr::satellites::pdu_head_tail::sptr

## Member Function Documentation

## ◆ make()

sptr gr::satellites::pdu_head_tail::make | ( | int | mode,
|  | size_t | num )
| static

Return a shared_ptr to a new instance of satellites::pdu_head_tail.

To avoid accidental use of raw pointers, satellites::pdu_head_tail's constructor is in a private implementation class. satellites::pdu_head_tail::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- pdu_head_tail.h